### This needs the MathTeXEngine package to be installed
using CairoMakie
using MathTeXEngine
using LaTeXStrings
using DataFrames
textheme = Theme(fonts=(; regular=texfont(:text),
                        bold=texfont(:bold),
                        italic=texfont(:italic),
                        bold_italic=texfont(:bolditalic)))
			
			
## Add your data for Vout and frequency here:
Vout = []			
f = []	
## define the maximim value  (likely the voltage value of your lowest frequency measurement!)
Vmax = 	   # fill in this value! 
	
						
with_theme(textheme) do
    fig = Figure(size = (1000, 800))
    ax = Axis(fig[1, 1], 
            xlabel = L"$\text{f}\,(\text{Hz})$", xlabelsize=28,
            ylabel=L"$\text{dB}$", ylabelsize=28,
             xminorticksvisible=true,
            yminorticksvisible=true,
            xminorticks=IntervalsBetween(5),
            yminorticks=IntervalsBetween(5),
            xgridcolor = (:blue, 0.6),
            ygridcolor = (:blue, 0.6),
            xgridwidth = 1.0,
            ygridwidth = 1.0,
            xminorgridvisible =:true,
            xminorgridcolor = (:blue, 0.3),
            yminorgridvisible =:true,
            yminorgridcolor = (:blue, 0.3),
            xminorgridwidth = 0.5,
            yminorgridwidth = 0.5, 
            xscale=log10
            )

    plot!(ax, f, 20*log10.(Vout/Vmax), color = :darkred, label = "Low Pass Filter",
             marker = '◆', markersize = 12)

    #axislegend(; position = :cc)
    fig
	end						
